org.jboss.resteasy.core

## Class AcceptHeaderByFileSuffixFilter

- java.lang.Object
- - org.jboss.resteasy.core.AcceptHeaderByFileSuffixFilter

- All Implemented Interfaces:
    ContainerRequestFilter

      @Provider
      @PreMatching
      public class AcceptHeaderByFileSuffixFilter
      extends Object
      implements ContainerRequestFilter

  Modifies Accept and Accept-Language headers by looking at path file suffix i.e. .xml means Accept application/xml

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AcceptHeaderByFileSuffixFilter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filter(ContainerRequestContext requestContext)` Filter method called before a request has been dispatched to a resource.
    `void` | `setLanguageMappings(Map<String,String> languageMappings)`
    `void` | `setMediaTypeMappings(Map<String,MediaType> mediaTypeMappings)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AcceptHeaderByFileSuffixFilter

          public AcceptHeaderByFileSuffixFilter()

  - ### Method Detail

    - #### setMediaTypeMappings

          public void setMediaTypeMappings(Map<String,MediaType> mediaTypeMappings)

    - #### setLanguageMappings

          public void setLanguageMappings(Map<String,String> languageMappings)

    - #### filter

          public void filter(ContainerRequestContext requestContext)
                      throws IOException

      Description copied from interface: `ContainerRequestFilter`
      Filter method called before a request has been dispatched to a resource.

      Filters in the filter chain are ordered according to their `javax.annotation.Priority` class-level annotation value. If a request filter produces a response by calling `ContainerRequestContext.abortWith(javax.ws.rs.core.Response)` method, the execution of the (either pre-match or post-match) request filter chain is stopped and the response is passed to the corresponding response filter chain (either pre-match or post-match). For example, a pre-match caching filter may produce a response in this way, which would effectively skip any post-match request filters as well as post-match response filters. Note however that a responses produced in this manner would still be processed by the pre-match response filter chain.

      Specified by:
        `filter` in interface `ContainerRequestFilter`
      Parameters:
        `requestContext` - request context.
      Throws:
        `IOException` - if an I/O exception occurs.
      See Also:
        `PreMatching`

Copyright © 2014. All Rights Reserved.